# Method: customers.getImportCompletionStatus

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/getImportCompletionStatus#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/getImportCompletionStatus#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/getImportCompletionStatus#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/getImportCompletionStatus#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/getImportCompletionStatus#body.response_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/getImportCompletionStatus#body.ImportCompletionStatus.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/getImportCompletionStatus#body.aspect)
- [Percentile](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/getImportCompletionStatus#Percentile)

Returns the percentage of Google data across all customers that has successfully been ingested into ADH on the given date. The returned value is one of the buckets "less than 95%", "at least 95%", "at least 99%", and "at least 99.9%".

### HTTP request

`GET https://adsdatahub.googleapis.com/v1/{customer=customers/*}/importCompletionStatus`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Ads Data Hub customer making the request. This is in the form of 'customers/\[customerId\]'. e.g. 'customers/123'. |

### Query parameters

| Parameters ||
|---|---|
| `date` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/Date`)`` Required. The date for which the completion status is to be returned. It must be in the past. |
| `timeZone` | `string` Time zone used when determining the period to retrieve results for. Supported values are "America/Los_Angeles" and "America/New_York". Defaults to "America/Los_Angeles". |

### Request body

The request body must be empty.

### Response body

Response to a customers.getImportCompletionStatus request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "percentile": enum (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/getImportCompletionStatus#Percentile`) } ``` |

| Fields ||
|---|---|
| `name` | `string` The name of the import completion status resource in the format of 'customers/{id}/importStatus/{date}_{utc_offset}' |
| `percentile` | ``enum (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers/getImportCompletionStatus#Percentile`)`` Percent of Google data being imported across all ADH customers for a given date that is complete. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`

## Percentile

Import completion status categories representing a coarse percentile.

| Enums ||
|---|---|
| `PERCENTILE_UNSPECIFIED` | Completion status is unknown. |
| `LESS_THAN_95_PERCENT` | Completion status percentile \[0 .. 95.0). |
| `AT_LEAST_95_PERCENT` | Completion status percentile \[0.95 .. 0.99). |
| `AT_LEAST_99_PERCENT` | Completion status percentile \[0.99 .. 0.999). |
| `AT_LEAST_99_9_PERCENT` | Completion status percentile \[0.999 .. 1.0\]. |